jp.cssj.cti2

## Interface CTISession

- All Superinterfaces:
    AutoCloseable, Closeable
  All Known Implementing Classes:
    AbstractCTISession

      public interface CTISession
      extends Closeable

  ドキュメント変換処理を実行するためのサーバーとの接続です。
  Version:
    $Id: CTISession.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ABORT_FORCE` 強制的に中断する処理の定数です。abortメソッドに渡します。
    `static byte` | `ABORT_NORMAL` きりのよいところまで処理する中断処理の定数です。abortメソッドに渡します。

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort(byte mode)` 変換を中断します。 このメソッドは非同期的に（別スレッドから）呼び出す必要があります。 実際に処理が中断された場合は、変換処理を行なっている（transcodeを呼び出した ）スレッドで、TranscoderExceptionがスローされます。
    `void` | `close()` セッションをクローズします。
    `InputStream` | `getServerInfo(URI uri)` サーバー情報を返します。 詳細はCopper PDF ドキュメントを参照して下さい。
    `void` | `join()` setContinues(true) が設定された状態で、複数回のtranscodeにより生成された結果を結合して出力します。
    `void` | `property(String name, String value)` プロパティを設定します。
    `void` | `reset()` 送られたリソースと、プロパティ、メッセージハンドラ等の全ての設定をクリアして、セッションが作られた時点と同じ初期状態に戻します。
    `OutputStream` | `resource(MetaSource metaSource)` リソースを送信するための出力ストリームを返します。
    `void` | `resource(Source source)` リソースを送信します。
    `void` | `setContinuous(boolean continuous)` 複数の結果を結合するモードに切り替えます。
    `void` | `setMessageHandler(MessageHandler messageHandler)` メッセージを受け取るためのオブジェクトを設定します。
    `void` | `setProgressListener(ProgressListener progressListener)` 進行状況を監視するためのオブジェクトを設定します。
    `void` | `setResults(Results results)` 出力先を設定します。
    `void` | `setSourceResolver(SourceResolver resolver)` リソースを読み込むためのオブジェクトを設定します。
    `OutputStream` | `transcode(MetaSource metaSource)` メインドキュメントを送信するための出力ストリームを返します。
    `void` | `transcode(Source source)` メインドキュメントをデータソースから取得して変換します。
    `void` | `transcode(URI uri)` 指定されたアドレスへサーバー側からアクセスしてメインドキュメントを取得して変換します。 resourceメソッドで事前に送信したリソースに対しても有効です。

- - ### Field Detail

    - #### ABORT_NORMAL

          static final byte ABORT_NORMAL

      きりのよいところまで処理する中断処理の定数です。abortメソッドに渡します。
      See Also:
        Constant Field Values

    - #### ABORT_FORCE

          static final byte ABORT_FORCE

      強制的に中断する処理の定数です。abortメソッドに渡します。
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getServerInfo

          InputStream getServerInfo(URI uri)
                             throws IOException

      サーバー情報を返します。 詳細はCopper PDF ドキュメントを参照して下さい。
      Parameters:
        `uri` - サーバー情報を選択するためのURI。
      Returns:
        サーバー情報データのストリーム。
      Throws:
        `IOException`

    - #### setResults

          void setResults(Results results)
                   throws IOException

      出力先を設定します。

      このメソッドは各transcodeメソッドの前に呼ぶ必要があります。

      Parameters:
        `results` - 出力先。
      Throws:
        `IOException`

    - #### setMessageHandler

          void setMessageHandler(MessageHandler messageHandler)
                          throws IOException

      メッセージを受け取るためのオブジェクトを設定します。

      このメソッドは各transcodeメソッドの前に呼ぶ必要があります。

      Parameters:
        `messageHandler` - メッセージハンドラ
      Throws:
        `IOException`
      See Also:
        `MessageHandler`

    - #### setProgressListener

          void setProgressListener(ProgressListener progressListener)
                            throws IOException

      進行状況を監視するためのオブジェクトを設定します。

      このメソッドは各transcodeメソッドの前に呼ぶ必要があります。

      Parameters:
        `progressListener` - 進行状況リスナ
      Throws:
        `IOException`
      See Also:
        `ProgressListener`

    - #### property

          void property(String name,
                        String value)
                 throws IOException

      プロパティを設定します。

      このメソッドは各transcodeメソッドの前に呼ぶ必要があります。

      Parameters:
        `name` - プロパティ名
        `value` - 値
      Throws:
        `IOException`

    - #### resource

          OutputStream resource(MetaSource metaSource)
                         throws IOException

      リソースを送信するための出力ストリームを返します。

      リソースを送信した後、出力ストリームは必ずクローズしてください。

      このメソッドは各transcodeメソッドの前に呼ぶ必要があります。

      Parameters:
        `metaSource` - リソースデータのメタ情報。
      Returns:
        サーバーへの出力ストリーム。
      Throws:
        `IOException`

    - #### resource

          void resource(Source source)
                 throws IOException

      リソースを送信します。

      このメソッドは各transcodeメソッドの前に呼ぶ必要があります。

      Parameters:
        `source` - リソースのデータソース。
      Throws:
        `IOException`

    - #### setSourceResolver

          void setSourceResolver(SourceResolver resolver)
                          throws IOException

      リソースを読み込むためのオブジェクトを設定します。

      Parameters:
        `resolver` - サーバー側から要求したリソースを取得するためのSourceResolver。
      Throws:
        `IOException`

    - #### transcode

          OutputStream transcode(MetaSource metaSource)
                          throws IOException

      メインドキュメントを送信するための出力ストリームを返します。

      本体を送信した後、出力ストリームは必ずクローズしてください。

      Parameters:
        `metaSource` - メインドキュメントのメタ情報。
      Returns:
        サーバーへの出力ストリーム。
      Throws:
        `IOException`

    - #### transcode

          void transcode(URI uri)
                  throws IOException,
                         TranscoderException

      指定されたアドレスへサーバー側からアクセスしてメインドキュメントを取得して変換します。 resourceメソッドで事前に送信したリソースに対しても有効です。

      Parameters:
        `uri` - メインドキュメントのURI。
      Throws:
        `IOException`
        `TranscoderException`

    - #### transcode

          void transcode(Source source)
                  throws IOException,
                         TranscoderException

      メインドキュメントをデータソースから取得して変換します。

      Parameters:
        `source` - メインドキュメントのデータソース。
      Throws:
        `IOException`
        `TranscoderException`

    - #### setContinuous

          void setContinuous(boolean continuous)
                      throws IOException

      複数の結果を結合するモードに切り替えます。

      Parameters:
        `continuous` - trueであればjoinにより結果を結合するモードにします。
      Throws:
        `IOException`

    - #### join

          void join()
             throws IOException

      setContinues(true) が設定された状態で、複数回のtranscodeにより生成された結果を結合して出力します。

      Throws:
        `IOException`

    - #### abort

          void abort(byte mode)
              throws IOException

      変換を中断します。 このメソッドは非同期的に（別スレッドから）呼び出す必要があります。 実際に処理が中断された場合は、変換処理を行なっている（transcodeを呼び出した ）スレッドで、TranscoderExceptionがスローされます。

      Parameters:
        `mode` - きりのよいところまで出力する場合はABORT_NORMAL、強制的に処理を停止するにはABORT_FORCEを指定します。
      Throws:
        `IOException`

    - #### reset

          void reset()
              throws IOException

      送られたリソースと、プロパティ、メッセージハンドラ等の全ての設定をクリアして、セッションが作られた時点と同じ初期状態に戻します。

      Throws:
        `IOException`

    - #### close

          void close()
              throws IOException

      セッションをクローズします。

      このメソッドを呼び出した後は、セッションに対して何も出来ません。

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Throws:
        `IOException`

Copyright © 2018 座間ソフト. All rights reserved.